

load data/digits.mat;

experiment = 1; % change this to run a different experiment

switch experiment
    
    case 1
        % Interactive manipulation of the digit 1 
        I = y_train == 1;   % try a different digit here
        pca_gui(X_train(I,:));

    case 2                

        % Look at prinicpal components and 2D visualization of examples of
        % the digit 4
        I = y_train == 4;   % try a different digit here
        pca_digit_demo(X_train(I,:));
        

    case 3
        
        % Look at PCs and 2D visualization of a data set including multiple
        % digits
        I = ismember(y_train, [2 7 4 9]);
        pca_digit_demo(X_train(I,:));
        pause;
        
end